/*--------------------------------------------------------------
# Hero Section
--------------------------------------------------------------*/

.hero {
    width: 100%;
    position: relative;
    padding: 80px 0 10px;
 background:
      linear-gradient(
        to bottom,
        color-mix(in srgb,var(--accent-color), transparent 50%) 0%,     /* vrh - pun ton */
        rgba(248,251,248,0) 40%,    /* sredina - prozirno */
        color-mix(in srgb,var(--background-color), transparent 40%) 95%                 /* dno - pun ton, kratak gradijent */
      ),
      url('/images/homepage/organic_background32-1.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}


.hero h2 {
    font-size: 3.5rem;
    margin-bottom: 25px;
    letter-spacing: 1.6px;
    line-height: 1.2;
    text-align: center;
    color: color-mix(in srgb, var(--default-color), transparent 5%);
    text-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
    font-weight: 700;
    transition: transform 0.3s ease, color 0.3s ease;
}

.hero p {
    color: color-mix(in srgb, var(--default-color), transparent 15%);
    font-weight: 400;
    margin-bottom: 30px;
    text-align: center;
}

.hero-inner {
    gap: 50px;
    /* Razmak između tekstualnog dela i slike */
    flex-wrap: wrap;
    /* Da se na manjim ekranima složi jedan ispod drugog */
}

.hero-text {
    max-width: 500px;
    text-align: center;
}

.hero-text p {
    text-align: justify;
}

.hero-image {
    display: flex;
    align-items: center;
    justify-content: center;
    width: auto;
    /* Širina koliko zauzme slika */
}

.hero-image img {
    max-width: 200px;
    /* Ili koliko želiš da bude maksimalna širina slike */
    width: 100%;
    height: auto;
}



.hero .img-fluid {
    max-width: 350px;
}

@media (max-width: 640px) {
    .hero h2 {
        font-size: 36px;
    }

    .hero .btn-get-started,
    .hero .btn-watch-video {
        font-size: 14px;
    }
}



.emoji-box {
    background: color-mix(in srgb, var(--accent-color), transparent 55%);
    border-radius: 16px;
    text-align: center;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    padding: 5px 5px;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 5px;
    border: 1px solid rgba(0, 0, 0, 0.05);
}

.emoji-box .emoji {
    width: 50px;
    height: 50px;
    background: color-mix(in srgb, var(--accent-color), white 70%);
    border-radius: 30%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 2rem;
    color: var(--accent-color);
    margin: 0 auto;
    transition: background 0.3s ease, transform 0.3s ease;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.1);
}

.emoji-box p {
    margin: 0;
    font-size: 1.1rem;
    color: var(--default-color);
}

.emoji-box:hover {
    transform: translateY(-5px);
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.15);
}
